-- copy defender/distractor, disable follow_player (causes crash)
-- increase range to spitter range
-- distractor
local newunit = util.table.deepcopy(data.raw["combat-robot"]["distractor"])
newunit.name = "distractor-turret"
newunit.attack_parameters.range=17
newunit.time_to_live = 60 * 20
data:extend( { newunit } )
newunit = util.table.deepcopy(data.raw["projectile"]["distractor-capsule"])
newunit.name = "distractor-capsule-turret"
for i=1,3 do newunit.action.action_delivery.target_effects[i].entity_name = "distractor-turret" end
data:extend( { newunit } )

-- defender
newunit = util.table.deepcopy(data.raw["combat-robot"]["defender"])
newunit.name = "defender-turret"
newunit.follows_player = false
newunit.attack_parameters.range=17
newunit.time_to_live = 60 * 20
data:extend( { newunit } )
newunit = util.table.deepcopy(data.raw["projectile"]["defender-capsule"])
newunit.name = "defender-capsule-turret"
newunit.action.action_delivery.target_effects[1].entity_name = "defender-turret"
data:extend( { newunit } )

-- destroyer
newunit = util.table.deepcopy(data.raw["combat-robot"]["destroyer"])
newunit.name = "destroyer-turret"
newunit.follows_player = false
newunit.attack_parameters.range=17
newunit.time_to_live = 60 * 20
data:extend( { newunit } )
newunit = util.table.deepcopy(data.raw["projectile"]["destroyer-capsule"])
newunit.name = "destroyer-capsule-turret"
for i=1,5 do newunit.action.action_delivery.target_effects[i].entity_name = "destroyer-turret" end
data:extend( { newunit } )

require("prototypes.turrets")
require("prototypes.recipes")
require("prototypes.items")
require("prototypes.ammo")

--[[Quick start cheat
/c game.player.insert({name="capsule-turret", count=50}) game.player.insert({name="poison-capsule-magazine", count=50}) 
 game.player.insert({name="slowdown-capsule-magazine", count=50}) game.player.insert({name="basic-grenade-magazine", count=50})
 game.player.insert({name="distractor-capsule-magazine", count=50}) game.player.insert({name="defender-capsule-magazine", count=50})
 game.player.insert({name="destroyer-capsule-magazine", count=50})
 
 game.player.insert({name="capsule-turret-lr", count=50})
--]]