data:extend({
  {
    type = "ammo",
    name = "poison-capsule-magazine",
    icon = "__Capsule-Turrets__/graphics/icons/poison-capsule-magazine.png",
    flags = {"goes-to-main-inventory"},

    ammo_type =
    { category = "capsule",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
          {
            type = "projectile",
            projectile = "poison-capsule",
            starting_speed = 0.3
          }
      }
    },
    magazine_size = 5,
    subgroup = "ammo",
    order = "g[poison-capsule-magazine]",
    stack_size = 50
  },
  {
    type = "ammo",
    name = "slowdown-capsule-magazine",
    icon = "__Capsule-Turrets__/graphics/icons/slowdown-capsule-magazine.png",
    flags = {"goes-to-main-inventory"},

    ammo_type =
    {
      category = "capsule",
      --target_type = "position",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "slowdown-capsule",
          starting_speed = 0.3
        }
      }
    },
    magazine_size = 5,
    subgroup = "ammo",
    order = "h[slowdown-capsule-magazine]",
    stack_size = 50
  },
  {
    type = "ammo",
    name = "basic-grenade-magazine",
    icon = "__Capsule-Turrets__/graphics/icons/basic-grenade-magazine.png",
    flags = {"goes-to-main-inventory"},

    ammo_type =
    {
      category = "capsule",
      --target_type = "position",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "basic-grenade",
          starting_speed = 0.3
        }
      }
    },
    magazine_size = 5,
    subgroup = "ammo",
    order = "f[basic-grenade-magazine]",
    stack_size = 50
  },
  {
    type = "ammo",
    name = "distractor-capsule-magazine",
    icon = "__Capsule-Turrets__/graphics/icons/distractor-capsule-magazine.png",
    flags = {"goes-to-main-inventory"},

    ammo_type =
    {
      category = "capsule",
      --target_type = "position",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "distractor-capsule-turret",
          starting_speed = 0.3
        }
      }
    },
    magazine_size = 5,
    subgroup = "ammo",
    order = "j[distractor-capsule-magazine]",
    stack_size = 50
  },
  {
    type = "ammo",
    name = "defender-capsule-magazine",
    icon = "__Capsule-Turrets__/graphics/icons/defender-capsule-magazine.png",
    flags = {"goes-to-main-inventory"},

    ammo_type =
    {
      category = "capsule",
      --target_type = "position",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
      {
        type = "projectile",
        projectile = "defender-capsule-turret",
        starting_speed = 0.3
      }
      }
    },
    magazine_size = 5,
    subgroup = "ammo",
    order = "i[defender-capsule-magazine]",
    stack_size = 50
  },
  {
    type = "ammo",
    name = "destroyer-capsule-magazine",
    icon = "__Capsule-Turrets__/graphics/icons/destroyer-capsule-magazine.png",
    flags = {"goes-to-main-inventory"},

    ammo_type =
    {
      category = "capsule",
      --target_type = "position",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
        {
        type = "projectile",
        projectile = "destroyer-capsule-turret",
        starting_speed = 0.3
        }
      }
    },
    magazine_size = 5,
    subgroup = "ammo",
    order = "k[destroyer-capsule-magazine]",
    stack_size = 50
  }
})